Message: geant4.10.0.b01 -- unrecognized #pragama GCC warinings + expat.h error Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question geant4.10.0.b01 -- unrecognized #pragama GCC warinings + expat.h error 

Forum: Installation and Configuration
Date: 02 Sep, 2013
From: Dragos Constantin <Dragos Constantin>

Dear All,

I am compiling geant4.10.0.b01 with the Intel compiler (13.1.1) on CentOS 6.3.

The GCC pragma obviously is not recognized and a lot of warning are issued. The use of this pragma seems to be a new add to the code and I am not sure if I should just disregard these warnings. Do I have to do more than just specifying icc and icpc as the compilers in cmake(ccmake)?

Also the geant4 compilation ends with an error about "expat.h". I am not sure what is going on because expat.h is present and the correct path is provided in cmake.

Any help would be highly appreciated.

Best regards,

Dragos

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Warning: Re: geant4.10.0.b01 -- unrecognized #pragama GCC warinings + expat.h error   (Dragos Constantin - 02 Sep, 2013)
 Add Message Add Message
to: "geant4.10.0.b01 -- unrecognized #pragama GCC warinings + expat.h error"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]